Skip to Content
Short Links & Analytics

Toggle short link active status

View Markdown (.md)
PATCH
/api/v1/public/shortlinks/{id}/status

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
active*boolean

Response Body

Short link active state updated

application/json
  1. response
status?string
data?
Example Request
curl -X PATCH 'https://api.smspro.com/api/v1/public/shortlinks/497f6eca-6276-4993-bfeb-53cbbbba6f08/status' \  -H 'Content-Type: application/json' \  -d '{  "active": true}'
Example Response
{  "status": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "shortUrl": "string",    "originalUrl": "string",    "title": "string",    "active": true,    "clickCount": 0,    "createdAt": "2019-08-24T14:15:22Z"  }}